MAJ drupal 8.7.0 vers 8.7.1

Hello,

j'ai un gros problème sur la maj de drupal 8.7.0 vers 8.7.1

Une fois la maj faite, je fais update.php. Et là : ERREUR
==>

"Mettre à jour make_menu_link_content_revisionable

Échec : Drupal\Core\Entity\EntityStorageException : Exception thrown while performing a schema update. Impossible de renommer tmp_ece251menu_link_content_revision en menu_link_content_revision : la table menu_link_content_revision existe déjà. dans Drupal\Core\Entity\Sql\SqlContentEntityStorage->wrapSchemaException() (ligne 1611 de /var/3w/core/lib/Drupal/Core/Entity/Sql/SqlContentEntityStorage.php)

J'ai beau rechercher sur Internet/google ce problème, mais je ne vois aucune solution !
Oui j'ai des liens, mais pas de solution.

Il y avait bien :
- mettre par default en Anglais
- relancer la maj

Mais même problème !

Pire; quand je vais sur ADMIN/STRUCTURE, après, la base est instable et tout le menu est HS.

Qui peut m'aider ? Du coup je suis en 7.1 et mes tables ne sont pas mises à niveau.

yonnel

Version de Drupal : 
Tags : 

Bonjour,
merci de me répondre.

Même problème.
1. J'ai mis "en" en plus dans mes langues
2. Vérifié que aucune table TMP ou OLD n'existait
3. Lancé update.php

==>
module menu_link_content
Mettre à jour make_menu_link_content_revisionable

Échec : Drupal\Core\Entity\EntityStorageException : Exception thrown while performing a schema update. Impossible de renommer tmp_f7eb3cmenu_link_content_revision en menu_link_content_revision : la table menu_link_content_revision existe déjà. dans Drupal\Core\Entity\Sql\SqlContentEntityStorage->wrapSchemaException() (ligne 1611 de /var/3w/core/lib/Drupal/Core/Entity/Sql/SqlContentEntityStorage.php).

même problème.
yonnel

Je viens d'essayer un truc :
- J'ai après l'update eu les messages d'erreur sur les tables
menu_link_content_revision
menu_link_content_field_revision

Je l'ai ai supprimées et relancé l'update.
Désormais j'ai l'erreur suivante :
==>
Échec : Drupal\Component\Plugin\Exception\PluginNotFoundException : The "entity:contact_message" plugin does not exist. Valid plugin IDs for Drupal\views\Plugin\ViewsPluginManager are: comment_rss, entity:node, node_rss, search_view, entity:user, entity_reference, rss_fields, entity:block_content, entity:comment, entity:file, entity:media, entity:taxonomy_term, opml_fields, fields dans Drupal\Core\Plugin\DefaultPluginManager->doGetDefinition() (ligne 53 de /var/3w/core/lib/Drupal/Component/Plugin/Discovery/DiscoveryTrait.php)

Quand je regarde le module content storage, je l'ai bien dans mon répertoire module/contrib, mais il n'est pas coché dans l aliste des modules en backoffice.
Et une fois que je le coche, j'ai alors cette erreur :

Message d'erreur
Impossible d'installer Contact storage, contact_storage.settings, system.action.message_delete_action, views.view.contact_messages existent déjà dans la configuration active.

Donc un problème dans la base avec sans doute.
Comment le désinstaller prrprement, puisque je ,'arrive pas à le faire depuis le backoffice ?

merci de m'aider
yonnel

Bon j'ai résolu mon problème. Je vous donne ma démarche, si cela peut aider.

  1. J'avais un problème de maj drupal 8.7.0 vers drupal 8.7.1
  2. Insidieusement, un autre problème avec le module contact_storage

Il fallait avant tout résoudre le fait que contact_storage était mal installé (installé réellement en SGBD mais non installé dans le backoffice drupal).
==> installation de drush avec composer
==> drush config:delete contact_storage.settings, drush config:delete system.action.message_delete_action, drush config:delete views.view.contact_messages

Ensuite le problème de MAJ de drupal. La cela plante (je suis en français par défault sans langue sup.)
Après plantage de la maj, j'ai supprimé de ma SBGD :
.tmp
*.old
menu_link_content_field_revision
menu_link_content_revision
menu_link_content_r__

Puis ai relancé la maj.
Là il m'a dit qu'il avait réinstallé les 2 premières tables citées, et fait la MAJ.

ps : Merci à la communauté anglaise de DRUPAL (https://www.drupal.org) de m'avoir aiguillé !!!

yonnel